summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2011-06-29 17:24:47 +0200
committerDavid Kalnischkies <kalnischkies@gmail.com>2011-06-29 17:24:47 +0200
commit7851d583df07d81b708f62e130a9132faa495979 (patch)
treea809b131240f8855040afc3a68d90020496199ee
parent49434e94575cfcc14d2f43bdd86c2c5c351d02a8 (diff)
require to be root for add, rm, update and net-update
-rwxr-xr-xcmdline/apt-key11
-rw-r--r--debian/changelog3
2 files changed, 13 insertions, 1 deletions
diff --git a/cmdline/apt-key b/cmdline/apt-key
index 86e982054..843163f82 100755
--- a/cmdline/apt-key
+++ b/cmdline/apt-key
@@ -21,6 +21,13 @@ ARCHIVE_KEYRING_URI=""
ARCHIVE_KEYRING=/usr/share/keyrings/debian-archive-keyring.gpg
REMOVED_KEYS=/usr/share/keyrings/debian-archive-removed-keys.gpg
+requires_root() {
+ if [ "$(id -u)" -ne 0 ]; then
+ echo >&1 "ERROR: This command can only be used by root."
+ exit 1
+ fi
+}
+
add_keys_with_verify_against_master_keyring() {
ADD_KEYRING=$1
MASTER=$2
@@ -62,6 +69,7 @@ net_update() {
echo >&2 "ERROR: Your distribution is not supported in net-update as no uri for the archive-keyring is set"
exit 1
fi
+ requires_root
# in theory we would need to depend on wget for this, but this feature
# isn't useable in debian anyway as we have no keyring uri nor a master key
if ! which wget >/dev/null 2>&1; then
@@ -93,6 +101,7 @@ update() {
echo >&2 "Is the debian-archive-keyring package installed?"
exit 1
fi
+ requires_root
# add new keys from the package;
@@ -184,10 +193,12 @@ fi
case "$command" in
add)
+ requires_root
$GPG --quiet --batch --import "$1"
echo "OK"
;;
del|rm|remove)
+ requires_root
$GPG --quiet --batch --delete-key --yes "$1"
echo "OK"
;;
diff --git a/debian/changelog b/debian/changelog
index b28531db7..51dda4d0c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,8 +5,9 @@ apt (0.8.15.1) unstable; urgency=low
- create doxygen directory to avoid depending on magic (Closes: #628799)
* cmdline/apt-key:
- explicitly state that net-update is not supported if no url is set
+ - require to be root for add, rm, update and net-update
- -- David Kalnischkies <kalnischkies@gmail.com> Wed, 29 Jun 2011 17:13:26 +0200
+ -- David Kalnischkies <kalnischkies@gmail.com> Wed, 29 Jun 2011 17:24:02 +0200
apt (0.8.15) unstable; urgency=low